
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

/* 
 * genPosType.h:     La SDI_F de genPos
 *
 * Utilise par le module et par les clients
 * (inclut dans genPosMsgLib.h et genPosPosterLib.h)
 * 
 */

#ifndef genPos_TYPE_H
#define genPos_TYPE_H

#include "genom/modules.h"
#include "genPosError.h"

/* Nombre de tache d'execution de ce module */
#define GENPOS_NB_EXEC_TASK                   (0)


#endif
#ifndef genPos_TYPE1_H
#define genPos_TYPE1_H

#include "genPosStruct.h"

/*
 * Structure de donnees interne
 */
typedef struct GENPOS_STR {
	GENPOS_CART_STATE cartOdo;
	GENPOS_CART_CONFIG_VAR cartErrorOdo;
	GENPOS_CART_CONFIG_VAR cartSetErr;
	GENPOS_TRCART_REF trCartRef;
	GENPOS_TRCART_STATE trCartState;
	GENPOS_CART_SPEED cartSpeedRef;
	GENPOS_CART_CMD_PARAM cartCmdParam;
	GENPOS_CART_CMD_SPEED_PARAM cartSpeedParam;
	GENPOS_TRAILER_TYPE trailerType;
	GENPOS_TRACK trackMode;
	GENPOS_TRCART_CONFIG trCartSetPos;
	GENPOS_TRCART_GEO_PARAM trCartGeoParam;
	GENPOS_TRAJ_POINTS trajPoints;
} GENPOS_STR;


#endif

